import { fetchBase } from '../fetch.js'
// 查询随访列表
export function queryVisitList(params) {
    return fetchBase({ url: `/chronic-resident/v1/chronic-visit-record/page`, body: params, loading: true })
}

//查询主要慢病高危随访详情
export function queryMajorFUDetail(params) {
    return fetchBase({ url: `/chronic-resident/v1/chronic-visit-record/high-major-detail`, body: params, loading: true })
}

//查询专病高危随访详情
export function querySpecificFUDetail(params) {
    return fetchBase({ url: `/chronic-resident/v1/chronic-visit-record/high-specific-detail`, body: params, loading: true })
}

// 查询通用随访详情
export function queryGeneralFUDetail(params) {
    return fetchBase({ url: `/chronic-resident/v1/chronic-visit-record/currency-detail`, body: params, loading: true })
}

// 查询专病随访详情
export function querySeparateFUDetail(params) {
    return fetchBase({ url: `/chronic-resident/v1/chronic-visit-record/specialized-detail`, body: params, loading: true })
}
